Sign inGet started

Workspaces

GET
/organizations/{organizationId}/workspaces
List the workspaces for the organization.
Parametri di query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Payload della risposta
results
array of object
obbligatorio
List of results.
Mostra attributi secondari
results.id
string
obbligatorio
Workspace ID.
results.organizationId
string
obbligatorio
ID of the organization this workspace is part of.
results.status
string
obbligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions
array of object
Mostra attributi secondari
results.statusTransitions.fromStatus
string
obbligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions.toStatus
string
obbligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions.reason
string
obbligatorio
Possible values: org-banned, user-initiated, payment-default, inactivity
results.statusTransitions.comment
string
results.statusTransitions.transitionedAt
string
obbligatorio
results.statusTransitions.transitionedBy
object
obbligatorio
Mostra attributi secondari
results.statusTransitions.transitionedBy.id
string
obbligatorio
results.statusTransitions.transitionedBy.type
string
obbligatorio
Possible values: user, accesskey, contact
results.name
string
obbligatorio
The display name for the workspace
results.description
string
The description for the workspace
results.dataPolicy
object
obbligatorio
The data storage policy for a resource.
Mostra attributi secondari
results.dataPolicy.group
string
obbligatorio
The name of the region group used for storage.
results.dataPolicy.regions
array of object
obbligatorio
Mostra attributi secondari
results.dataPolicy.regions.region
string
obbligatorio
The name of the AWS region.
results.dataPolicy.regions.priority
integer
obbligatorio
The priority to give to this region when storing data.
results.dataPolicy.piiStrategy
string
obbligatorio
Possible values: default, strict
results.configuration
object
Mostra attributi secondari
results.configuration.domain
string
Domain name.
results.createdAt
string
obbligatorio
When the workspace was created.
results.updatedAt
string
obbligatorio
When the workspace was last updated.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/workspaces' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/workspaces
Create a workspace for the organization.
Payload della richiesta
name
string
obbligatorio
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
obbligatorio
The data storage policy for a resource.
Mostra parametri secondari
dataPolicy.group
string
obbligatorio
The name of the region group used for storage. Must be one of us-west-2, eu-west-1, or ap-south-1.
dataPolicy.regions
array of object
obbligatorio
Mostra parametri secondari
dataPolicy.regions.region
string
obbligatorio
The name of the AWS region. Must be one of us-west-2, eu-west-1, or ap-south-1.
dataPolicy.regions.priority
integer
obbligatorio
The priority to give to this region when storing data.
configuration
object
Mostra parametri secondari
configuration.domain
string
Domain name.
userUsername
string
The username of the user that is creating the workspace.
flavors
array of string
Payload della risposta
id
string
obbligatorio
Workspace ID.
organizationId
string
obbligatorio
ID of the organization this workspace is part of.
status
string
obbligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
Mostra attributi secondari
statusTransitions.fromStatus
string
obbligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
obbligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
obbligatorio
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
obbligatorio
statusTransitions.transitionedBy
object
obbligatorio
Mostra attributi secondari
statusTransitions.transitionedBy.id
string
obbligatorio
statusTransitions.transitionedBy.type
string
obbligatorio
Possible values: user, accesskey, contact
name
string
obbligatorio
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
obbligatorio
The data storage policy for a resource.
Mostra attributi secondari
dataPolicy.group
string
obbligatorio
The name of the region group used for storage.
dataPolicy.regions
array of object
obbligatorio
Mostra attributi secondari
dataPolicy.regions.region
string
obbligatorio
The name of the AWS region.
dataPolicy.regions.priority
integer
obbligatorio
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
obbligatorio
Possible values: default, strict
configuration
object
Mostra attributi secondari
configuration.domain
string
Domain name.
createdAt
string
obbligatorio
When the workspace was created.
updatedAt
string
obbligatorio
When the workspace was last updated.
Esempio di codice
curl -X POST 'https://api.bird.com/organizations/{organizationId}/workspaces' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/workspaces/{workspaceId}
Get the workspace instance.
Payload della risposta
id
string
obbligatorio
Workspace ID.
organizationId
string
obbligatorio
ID of the organization this workspace is part of.
status
string
obbligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
Mostra attributi secondari
statusTransitions.fromStatus
string
obbligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
obbligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
obbligatorio
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
obbligatorio
statusTransitions.transitionedBy
object
obbligatorio
Mostra attributi secondari
statusTransitions.transitionedBy.id
string
obbligatorio
statusTransitions.transitionedBy.type
string
obbligatorio
Possible values: user, accesskey, contact
name
string
obbligatorio
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
obbligatorio
The data storage policy for a resource.
Mostra attributi secondari
dataPolicy.group
string
obbligatorio
The name of the region group used for storage.
dataPolicy.regions
array of object
obbligatorio
Mostra attributi secondari
dataPolicy.regions.region
string
obbligatorio
The name of the AWS region.
dataPolicy.regions.priority
integer
obbligatorio
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
obbligatorio
Possible values: default, strict
configuration
object
Mostra attributi secondari
configuration.domain
string
Domain name.
createdAt
string
obbligatorio
When the workspace was created.
updatedAt
string
obbligatorio
When the workspace was last updated.
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/workspaces/{workspaceId}
Delete a workspace from the organization.
Esempio di codice
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/workspaces/{workspaceId}
Update a workspace's properties.
Payload della richiesta
name
string
The display name for the workspace
description
string
The description for the workspace
Payload della risposta
id
string
obbligatorio
Workspace ID.
organizationId
string
obbligatorio
ID of the organization this workspace is part of.
status
string
obbligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
Mostra attributi secondari
statusTransitions.fromStatus
string
obbligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
obbligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
obbligatorio
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
obbligatorio
statusTransitions.transitionedBy
object
obbligatorio
Mostra attributi secondari
statusTransitions.transitionedBy.id
string
obbligatorio
statusTransitions.transitionedBy.type
string
obbligatorio
Possible values: user, accesskey, contact
name
string
obbligatorio
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
obbligatorio
The data storage policy for a resource.
Mostra attributi secondari
dataPolicy.group
string
obbligatorio
The name of the region group used for storage.
dataPolicy.regions
array of object
obbligatorio
Mostra attributi secondari
dataPolicy.regions.region
string
obbligatorio
The name of the AWS region.
dataPolicy.regions.priority
integer
obbligatorio
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
obbligatorio
Possible values: default, strict
configuration
object
Mostra attributi secondari
configuration.domain
string
Domain name.
createdAt
string
obbligatorio
When the workspace was created.
updatedAt
string
obbligatorio
When the workspace was last updated.
Esempio di codice
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'